GNU bug report logs - #33832
The VPN service 'org.freedesktop.NetworkManager.openvpn' was not installed.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: swedebugia@HIDDEN; merged with #36422; dated Sat, 22 Dec 2018 03:30:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Severity set to 'serious' from 'normal' Request was from Raghav Gururajan <rvgn@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 33832 36422. Request was from Raghav Gururajan <rvgn@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33832 <at> debbugs.gnu.org:


Received: (at 33832) by debbugs.gnu.org; 26 Jun 2019 08:20:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 26 04:20:19 2019
Received: from localhost ([127.0.0.1]:34180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hg3AA-0007bB-NB
	for submit <at> debbugs.gnu.org; Wed, 26 Jun 2019 04:20:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38601)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sleep_walker@HIDDEN>) id 1hg3A9-0007av-4k
 for 33832 <at> debbugs.gnu.org; Wed, 26 Jun 2019 04:20:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46792)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sleep_walker@HIDDEN>)
 id 1hg3A3-0007w3-J3; Wed, 26 Jun 2019 04:20:11 -0400
Received: from [193.86.83.186] (port=44098 helo=gnu.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <sleep_walker@HIDDEN>)
 id 1hg3A1-0001Yb-B8; Wed, 26 Jun 2019 04:20:09 -0400
Date: Wed, 26 Jun 2019 10:20:02 +0200
From: =?utf-8?B?VG9tw6HFoSDEjGVjaA==?= <sleep_walker@HIDDEN>
To: Jelle Licht <jlicht@HIDDEN>
Subject: Re: bug#33832: The VPN service
 'org.freedesktop.NetworkManager.openvpn' was not installed.
Message-ID: <20190626082002.GA2334@doom>
References: <acb0d8532c0ad030b5b57c2ff800580b@HIDDEN>
 <874lai3sak.fsf@HIDDEN> <87zhs8znes.fsf@HIDDEN>
 <20190219201030.GB6890@doom> <87wolci1if.fsf@HIDDEN>
 <20190306132917.GD20444@loki> <87ftnypyk5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="AqsLC8rIMeq19msA"
Content-Disposition: inline
In-Reply-To: <87ftnypyk5.fsf@HIDDEN>
User-Agent: Mutt/1.11.3 (2019-02-01)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33832
Cc: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, 33832 <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--AqsLC8rIMeq19msA
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi!

On Mon, Jun 24, 2019 at 09:34:34PM +0200, Jelle Licht wrote:
>Hi S_W, Maxim
>
>Tom=C3=A1=C5=A1 =C4=8Cech <sleep_walker@HIDDEN> writes:
>
>> Hi Ludo,
>> [...]
>>
>> But with Maxim's DBus related patches and my NM patch it seemed to be
>> starting daemons at least.
>
>Do you still have the patches for these changes lying around? I am
>trying to get network-manager-vpnc packaged+working, but it seems this
>issue will also need to be solved first.

I didn't have time to refresh it to our current version - it's just in the =
mail:

https://www.mail-archive.com/bug-guix@HIDDEN/msg11776.html

Best regards,

S_W

--AqsLC8rIMeq19msA
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEDOrssfr9jDQthC2PSiPjT6AzQ20FAl0TKqwACgkQSiPjT6Az
Q21GqQ/9FMONmf/nc/CwlVasEDmT09OUsLw9cmXahYB5u8NXxJqrCaj2ckiZmMlc
IupjeIzjXg//vsPXaTGWOviN4+oAFDJzaCDSt3c6Td5ElwBwwx2s+deBPBx6uKVE
gM614NXosEN4fU+stS6kKy7wqaBaArjU1fez88XoMBOXdbKM/WPVqEKB4pnrqCxM
pcOQm5Zv+MGfxWQnZE9hShG9bTazmSog6yWzr/VFnSJWY/wztRl/N0Ewl2m61igq
38gyv4bawtpAvphMWgmLrRfrdAUi2TSVvQ9fCNRBJ4QRe46+ySVL6Lzb8i42tCnW
rR9phhsOJfWu2caO7sHKVWNflljEJ4KoKlD6oeOziz5lcoQNn/GwzV5o/ODmpBgK
e9UnrueyGUPCK01PQbTqycLhAuvnY7arN+eaYpPuRPdCOkIZiPunigsMdZtdFZDc
O0PkXjO3L1fEzMXd20DaWLoqWneTgoFRjKRlho21HZ/x6pfR5MFdFqUi/FxCzj4l
KVcMFJC95fiESAPZexn3hHmI/1pkB0b4oinjP8gG4FiLMdj1BtYUH/kOMQY5Iqmn
8Vyt2d70GcahMvZvAgKLnKB8Mw/3vLnvrXrZOFFz0RdJTpMfPh0bbguD7IHaQhi8
B11SaTjHp7c5Z7UtWAiMMrBlfdfLYOYa7zirom3Qw7VEXUQGJho=
=bz26
-----END PGP SIGNATURE-----

--AqsLC8rIMeq19msA--




Information forwarded to bug-guix@HIDDEN:
bug#33832; Package guix. Full text available.

Message received at 33832 <at> debbugs.gnu.org:


Received: (at 33832) by debbugs.gnu.org; 24 Jun 2019 19:34:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 24 15:34:42 2019
Received: from localhost ([127.0.0.1]:58020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfUji-0004D8-Bp
	for submit <at> debbugs.gnu.org; Mon, 24 Jun 2019 15:34:42 -0400
Received: from mail1.fsfe.org ([217.69.89.151]:59750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlicht@HIDDEN>) id 1hfUjf-0004Cz-UF
 for 33832 <at> debbugs.gnu.org; Mon, 24 Jun 2019 15:34:40 -0400
From: Jelle Licht <jlicht@HIDDEN>
To: =?utf-8?B?VG9tw6HFoSDEjGVjaA==?= <sleep_walker@HIDDEN>, Ludovic
 =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#33832: The VPN service
 'org.freedesktop.NetworkManager.openvpn' was not installed.
In-Reply-To: <20190306132917.GD20444@loki>
References: <acb0d8532c0ad030b5b57c2ff800580b@HIDDEN>
 <874lai3sak.fsf@HIDDEN> <87zhs8znes.fsf@HIDDEN>
 <20190219201030.GB6890@doom> <87wolci1if.fsf@HIDDEN>
 <20190306132917.GD20444@loki>
Date: Mon, 24 Jun 2019 21:34:34 +0200
Message-ID: <87ftnypyk5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33832
Cc: 33832 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi S_W, Maxim

Tom=C3=A1=C5=A1 =C4=8Cech <sleep_walker@HIDDEN> writes:

> Hi Ludo,
> [...]
>
> But with Maxim's DBus related patches and my NM patch it seemed to be
> starting daemons at least.

Do you still have the patches for these changes lying around? I am
trying to get network-manager-vpnc packaged+working, but it seems this
issue will also need to be solved first.
>
> Best regards,
>
> S_W

All the best,

Jelle




Information forwarded to bug-guix@HIDDEN:
bug#33832; Package guix. Full text available.

Message received at 33832 <at> debbugs.gnu.org:


Received: (at 33832) by debbugs.gnu.org; 6 Mar 2019 13:29:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 06 08:29:26 2019
Received: from localhost ([127.0.0.1]:33827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h1Wbu-0004v5-J2
	for submit <at> debbugs.gnu.org; Wed, 06 Mar 2019 08:29:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sleep_walker@HIDDEN>) id 1h1Wbt-0004ut-5P
 for 33832 <at> debbugs.gnu.org; Wed, 06 Mar 2019 08:29:25 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42309)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sleep_walker@HIDDEN>)
 id 1h1Wbn-0005Xi-Sl; Wed, 06 Mar 2019 08:29:19 -0500
Received: from [193.86.83.186] (port=52574 helo=gnu.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <sleep_walker@HIDDEN>)
 id 1h1Wbn-00055M-IQ; Wed, 06 Mar 2019 08:29:19 -0500
Date: Wed, 6 Mar 2019 14:29:17 +0100
From: =?utf-8?B?VG9tw6HFoSDEjGVjaA==?= <sleep_walker@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#33832: The VPN service
 'org.freedesktop.NetworkManager.openvpn' was not installed.
Message-ID: <20190306132917.GD20444@loki>
References: <acb0d8532c0ad030b5b57c2ff800580b@HIDDEN>
 <874lai3sak.fsf@HIDDEN> <87zhs8znes.fsf@HIDDEN>
 <20190219201030.GB6890@doom> <87wolci1if.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="3199z2xwsLUuj0Hj"
Content-Disposition: inline
In-Reply-To: <87wolci1if.fsf@HIDDEN>
User-Agent: Mutt/1.11.2 (2019-01-07)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 33832
Cc: 33832 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)


--3199z2xwsLUuj0Hj
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi Ludo,

On Wed, Mar 06, 2019 at 02:19:20PM +0100, Ludovic Court=C3=A8s wrote:
>Hi Tom=C3=A1=C5=A1,
>
>Tom=C3=A1=C5=A1 =C4=8Cech <sleep_walker@HIDDEN> skribis:
>
>> On Thu, Jan 10, 2019 at 07:51:07AM -0500, Maxim Cournoyer wrote:
>
>[...]
>
>>>To be continued...
>>
>> You seem to be on very right track. There is another unexpect problem
>> - NetworkManager doesn't seem to respect NM_VPN_PLUGIN_PATH in the
>> right place.
>>
>> Try this quick patch:
>>
>> From fc8bbfe018b4f19fb383391c71e3518a9c46e0f3 Mon Sep 17 00:00:00 2001
>> From: =3D?UTF-8?q?Tom=3DC3=3DA1=3DC5=3DA1=3D20=3DC4=3D8Cech?=3D <sleep_w=
alker@HIDDEN>
>> Date: Sun, 17 Feb 2019 13:23:43 +0100
>> Subject: [PATCH] respect NM_VPN_PLUGIN_DIR
>
>Does this patch solve the problem for you?  How did you get there?  :-)

Partially. I was not interested in OpenVPN, but L2TP/IPSec VPN (my new
employer is using) so I was using network-manager-l2tp module with the same=
 problems.
(Actually it is much more painful because it requires some more
patching of xl2tpd and strongswan to bring it up together... They have
somehow hardcoded locations for configuration and secrets...)

But with Maxim's DBus related patches and my NM patch it seemed to be
starting daemons at least.

Best regards,

S_W

--3199z2xwsLUuj0Hj
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEDOrssfr9jDQthC2PSiPjT6AzQ20FAlx/yywACgkQSiPjT6Az
Q20esA/+Ml/rMXpP97QHZW3JtnJVYNwD8hhM3ECwOjvnw1sBLMPRSAB/VZmMkxVs
8EFQvi+q3SrkyL4lCPnQuNdkEMLYMXY/iScCbj0q0hAHo61RCxgVZxxN4RDPNEgM
rOMGs5qIz7yfsylO4WTeOZ3h+nigUM+HEKa3SWbJSu+V6xqXNb6t5ntDhhyc+zLd
XNqpcI24D4uqN+X7EtM5tCrZg90L636WMhPdTHUgD3EugMTnkjeKjZtaf3lCtuhJ
REhVC7gfEx9kL+5SlBBnrSROpG5pIMQn0MNo66/fYhznP7ZF1MIeNUCsJpwWXQTC
BJrXOElNVhi8w+L4H5DRtWptsqBqYBy02DU03bGA5MBlfx6B8bO6FO6M1VFDoSoj
MTzXgwqw6VFd4JPJEd+mlNJxplJwUqzprJ1j3B9F0RwWhVnDPJDMgHUnmAYu7okg
iAnebZC7QkKm5iZqfXEgDIHqgbqkFOtxARz9dSG/UQr12L/kaHa31RHMapIK4tOz
28dpoNijQ0AvbYEwttvmt0OQEjLwvYGDL8bEjEaCk3kM7gjnUawtRPJuuvygcL3t
94FN9Y4eFZMZNmcd51ikY3RBJOo0s3TMnb+5eGJCXoMXrSXS+OXgk6Gh+AJQlFLK
NFhD/Jeeya/qsleUxz79+ru7Df0B6uZgNlwkhjCqy6maEqSeTnQ=
=Z8UQ
-----END PGP SIGNATURE-----

--3199z2xwsLUuj0Hj--




Information forwarded to bug-guix@HIDDEN:
bug#33832; Package guix. Full text available.

Message received at 33832 <at> debbugs.gnu.org:


Received: (at 33832) by debbugs.gnu.org; 6 Mar 2019 13:19:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 06 08:19:25 2019
Received: from localhost ([127.0.0.1]:33823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h1WSD-0004hR-GI
	for submit <at> debbugs.gnu.org; Wed, 06 Mar 2019 08:19:25 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:58366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1h1WSA-0004hI-Fn
 for 33832 <at> debbugs.gnu.org; Wed, 06 Mar 2019 08:19:22 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id E8948A9D1;
 Wed,  6 Mar 2019 14:19:21 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id wfK080qet2dO; Wed,  6 Mar 2019 14:19:21 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id F0685A9CE;
 Wed,  6 Mar 2019 14:19:20 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: =?utf-8?B?VG9tw6HFoSDEjGVjaA==?= <sleep_walker@HIDDEN>
Subject: Re: bug#33832: The VPN service
 'org.freedesktop.NetworkManager.openvpn' was not installed.
References: <acb0d8532c0ad030b5b57c2ff800580b@HIDDEN>
 <874lai3sak.fsf@HIDDEN> <87zhs8znes.fsf@HIDDEN>
 <20190219201030.GB6890@doom>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 16 =?utf-8?Q?Vent=C3=B4se?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 06 Mar 2019 14:19:20 +0100
In-Reply-To: <20190219201030.GB6890@doom> (=?utf-8?B?IlRvbcOhxaEgxIxlY2gi?=
 =?utf-8?B?J3M=?= message of "Tue, 19 Feb 2019 21:10:30 +0100")
Message-ID: <87wolci1if.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 33832
Cc: 33832 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Tom=C3=A1=C5=A1,

Tom=C3=A1=C5=A1 =C4=8Cech <sleep_walker@HIDDEN> skribis:

> On Thu, Jan 10, 2019 at 07:51:07AM -0500, Maxim Cournoyer wrote:

[...]

>>To be continued...
>
> You seem to be on very right track. There is another unexpect problem
> - NetworkManager doesn't seem to respect NM_VPN_PLUGIN_PATH in the
> right place.
>
> Try this quick patch:
>
> From fc8bbfe018b4f19fb383391c71e3518a9c46e0f3 Mon Sep 17 00:00:00 2001
> From: =3D?UTF-8?q?Tom=3DC3=3DA1=3DC5=3DA1=3D20=3DC4=3D8Cech?=3D <sleep_wa=
lker@HIDDEN>
> Date: Sun, 17 Feb 2019 13:23:43 +0100
> Subject: [PATCH] respect NM_VPN_PLUGIN_DIR

Does this patch solve the problem for you?  How did you get there?  :-)

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33832; Package guix. Full text available.

Message received at 33832 <at> debbugs.gnu.org:


Received: (at 33832) by debbugs.gnu.org; 19 Feb 2019 20:10:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 19 15:10:44 2019
Received: from localhost ([127.0.0.1]:55613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwBj1-0000oi-D8
	for submit <at> debbugs.gnu.org; Tue, 19 Feb 2019 15:10:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33259)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sleep_walker@HIDDEN>) id 1gwBiz-0000oU-Vb
 for 33832 <at> debbugs.gnu.org; Tue, 19 Feb 2019 15:10:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48263)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sleep_walker@HIDDEN>)
 id 1gwBit-00055G-5J; Tue, 19 Feb 2019 15:10:35 -0500
Received: from [2a00:c500:22e:1d3:558d:7f67:7e10:7c48] (port=60044
 helo=gnu.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <sleep_walker@HIDDEN>)
 id 1gwBiq-0003uH-2L; Tue, 19 Feb 2019 15:10:34 -0500
Date: Tue, 19 Feb 2019 21:10:30 +0100
From: =?utf-8?B?VG9tw6HFoSDEjGVjaA==?= <sleep_walker@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#33832: The VPN service
 'org.freedesktop.NetworkManager.openvpn' was not installed.
Message-ID: <20190219201030.GB6890@doom>
References: <acb0d8532c0ad030b5b57c2ff800580b@HIDDEN>
 <874lai3sak.fsf@HIDDEN> <87zhs8znes.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="1LKvkjL3sHcu1TtY"
Content-Disposition: inline
In-Reply-To: <87zhs8znes.fsf@HIDDEN>
User-Agent: Mutt/1.11.2 (2019-01-07)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 33832
Cc: swedebugia@HIDDEN, 33832 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)


--1LKvkjL3sHcu1TtY
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Jan 10, 2019 at 07:51:07AM -0500, Maxim Cournoyer wrote:
>Debugging a bit further, it seems that my change to the
>network-manager-service-type had the following effect:
>
>A file populated at /etc/dbus-1/system-local.conf now has an include
>directive for network-manager-openvpn:
>
>--8<---------------cut here---------------start------------->8---
><includedir>/gnu/store/gw3ckmw2pihc44d23lc8pipfw7wr16g7-network-manager-op=
envpn-1.8.0/etc/dbus-1/system.d</includedir>
>--8<---------------cut here---------------end--------------->8---
>
>There is no /etc/dbus-1/system.conf file, which usually should source
>the above system-local.conf, although the package holds a copy of it
>such as
>/gnu/store/5bda3bgy871dyb9cna4k7gnz002j88rq-dbus-1.12.6/share/dbus-1/syste=
m.conf,
>and this file has:
>
>--8<---------------cut here---------------start------------->8---
><!-- This is included last so local configuration can override what's
>
>       in this standard file -->
>  <include ignore_missing=3D"yes">/etc/dbus-1/system-local.conf</include>
>--8<---------------cut here---------------end--------------->8---
>
>I'm not sure if it works though, because using the Emacs dbus support to
>view the available definitions, I cannot see the ones from the
>system-local.conf file:
>
>--8<---------------cut here---------------start------------->8---
>(require 'dbus)
>(dbus-list-activatable-names ':system)
>
>;; Results:
>("org.freedesktop.DBus"		     ;
> "org.freedesktop.UPower"	     ;from /etc/dbus-1/system-services
> "org.freedesktop.GeoClue2"	     ;from /etc/dbus-1/system-services
> "org.freedesktop.login1"	     ;from /etc/dbus-1/system-services
> "org.freedesktop.UDisks2"	     ;from /etc/dbus-1/system-services
> "org.freedesktop.ColorHelper"	     ;from /etc/dbus-1/system-services
> "org.freedesktop.PolicyKit1"	     ;from /etc/dbus-1/system-services
> "org.freedesktop.Accounts"	     ;from /etc/dbus-1/system-services
> "org.freedesktop.ColorManager"	     ;from /etc/dbus-1/system-services
> "org.freedesktop.nm_dispatcher")	;from /etc/dbus-1/system-services
>--8<---------------cut here---------------end--------------->8---
>
>So it could be that the system-local.conf file is not read in.
>
>I've tried stracing the dbus-daemon (by attaching to it) as suggested by
>Ludovic on #guix, but that doesn't mention anything about reading the
>files.
>
>So, to debug this further, I've added the documentation to dbus [1] and
>in `man dbus-daemon`, we can read:
>
>
>
>--8<---------------cut here---------------start------------->8---
>DEBUGGING
>       If you're trying to figure out where your messages are going or why=
 you aren't getting messages, there are
>       several things you can try.
>
>       Remember that the system bus is heavily locked down and if you have=
n't installed a security policy file to
>       allow your message through, it won't work. For the session bus, thi=
s is not a concern.
>
>       The simplest way to figure out what's happening on the bus is to ru=
n the dbus-monitor program, which comes
>       with the D-Bus package. You can also send test messages with dbus-s=
end. These programs have their own man
>       pages.
>
>       If you want to know what the daemon itself is doing, you might cons=
ider running a separate copy of the daemon
>       to test against. This will allow you to put the daemon under a debu=
gger, or run it with verbose output,
>       without messing up your real session and system daemons.
>
>       To run a separate test copy of the daemon, for example you might op=
en a terminal and type:
>
>             DBUS_VERBOSE=3D1 dbus-daemon --session --print-address
>
>       The test daemon address will be printed when the daemon starts. You=
 will need to copy-and-paste this address
>       and use it as the value of the DBUS_SESSION_BUS_ADDRESS environment=
 variable when you launch the applications
>       you want to test. This will cause those applications to connect to =
your test bus instead of the
>       DBUS_SESSION_BUS_ADDRESS of your real session bus.
>
>       DBUS_VERBOSE=3D1 will have NO EFFECT unless your copy of D-Bus was =
compiled with verbose mode enabled. This is
>       not recommended in production builds due to performance impact. You=
 may need to rebuild D-Bus if your copy
>       was not built with debugging in mind. (DBUS_VERBOSE also affects th=
e D-Bus library and thus applications
>       using D-Bus; it may be useful to see verbose output on both the cli=
ent side and from the daemon.)
>
>       If you want to get fancy, you can create a custom bus configuration=
 for your test bus (see the session.conf
>       and system.conf files that define the two default configurations fo=
r example). This would allow you to
>       specify a different directory for .service files, for example.
>--8<---------------cut here---------------end--------------->8---
>
>This should help in further debbugging the issue, along with this local
>definition that enables the verbose mode of dbus:
>
>--8<---------------cut here---------------start------------->8---
>gnu/packages/glib.scm | 11 +++++++++++
>
>modified   gnu/packages/glib.scm
>@@ -68,6 +68,7 @@
>   ;; Export variables up-front to allow circular dependency with the 'xor=
g'
>   ;; module.
>   #:export (dbus
>+            my-dbus
>             glib
>             gobject-introspection
>             dbus-glib
>@@ -156,6 +157,16 @@ or through unencrypted TCP/IP suitable for use behind=
 a firewall with
> shared NFS home directories.")
>     (license license:gpl2+)))                     ; or Academic Free Lice=
nse 2.1
>
>+(define my-dbus
>+  (package
>+    (inherit dbus)
>+    (name "my-dbus")
>+    (arguments
>+     (substitute-keyword-arguments
>+         (package-arguments dbus)
>+       ((#:configure-flags flags)
>+        `(cons "--enable-verbose-mode" ,flags))))))
>+
> (define glib
>   (package
>    (name "glib")
>--8<---------------cut here---------------end--------------->8---
>
>To be continued...

You seem to be on very right track. There is another unexpect problem
- NetworkManager doesn't seem to respect NM_VPN_PLUGIN_PATH in the
right place.

Try this quick patch:

=46rom fc8bbfe018b4f19fb383391c71e3518a9c46e0f3 Mon Sep 17 00:00:00 2001
=46rom: =3D?UTF-8?q?Tom=3DC3=3DA1=3DC5=3DA1=3D20=3DC4=3D8Cech?=3D <sleep_wa=
lker@HIDDEN>
Date: Sun, 17 Feb 2019 13:23:43 +0100
Subject: [PATCH] respect NM_VPN_PLUGIN_DIR

---
 src/vpn/nm-vpn-manager.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/src/vpn/nm-vpn-manager.c b/src/vpn/nm-vpn-manager.c
index 8e708d1..86238c9 100644
--- a/src/vpn/nm-vpn-manager.c
+++ b/src/vpn/nm-vpn-manager.c
@@ -223,6 +223,7 @@ nm_vpn_manager_init (NMVpnManager *self)
 	GSList *infos, *info;
 	const char *conf_dir_etc =3D _nm_vpn_plugin_info_get_default_dir_etc ();
 	const char *conf_dir_lib =3D _nm_vpn_plugin_info_get_default_dir_lib ();
+        const char *conf_dir_user =3D _nm_vpn_plugin_info_get_default_dir_=
user ();
=20
 	/* Watch the VPN directory for changes */
 	file =3D g_file_new_for_path (conf_dir_lib);
@@ -241,6 +242,14 @@ nm_vpn_manager_init (NMVpnManager *self)
 		                                         G_CALLBACK (vpn_dir_changed), s=
elf);
 	}
=20
+	file =3D g_file_new_for_path (conf_dir_user);
+	priv->monitor_etc =3D g_file_monitor_directory (file, G_FILE_MONITOR_NONE=
, NULL, NULL);
+	g_object_unref (file);
+	if (priv->monitor_etc) {
+		priv->monitor_id_etc =3D g_signal_connect (priv->monitor_etc, "changed",
+		                                         G_CALLBACK (vpn_dir_changed), s=
elf);
+	}
+
 	/* first read conf_dir_lib. The name files are not really user configurat=
ion, but
 	 * plugin configuration. Hence we expect ~newer~ plugins to install their=
 files
 	 * in /usr/lib/NetworkManager. We want to prefer those files.
@@ -255,6 +264,11 @@ nm_vpn_manager_init (NMVpnManager *self)
 		try_add_plugin (self, info->data);
 	g_slist_free_full (infos, g_object_unref);
=20
+	infos =3D _nm_vpn_plugin_info_list_load_dir (conf_dir_user, TRUE, 0, NULL=
, NULL);
+	for (info =3D infos; info; info =3D info->next)
+		try_add_plugin (self, info->data);
+	g_slist_free_full (infos, g_object_unref);
+
 	priv->active_services =3D g_hash_table_new_full (g_str_hash, g_str_equal,=
 g_free, NULL);
 }
=20
--=20
2.20.1

HTH,

S_W

--1LKvkjL3sHcu1TtY
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEDOrssfr9jDQthC2PSiPjT6AzQ20FAlxsYrYACgkQSiPjT6Az
Q21UGw//RnKWAWGfTji6521Fi6vE1V2mWgeTD9nqF3tM/BJdhirzCX/4LPbbwSh0
WkQn1ruwb1OzG3ZaZf7c+hrgK3XPx7rkQjJH95x+GjfUDL635kLFmqQtb9XhGCcW
u8gfZzg/HypXSPPgZrhSCRjv8NM07ZJJEc3Kl+zWY3PIaIdA0vE/tOuIIaCwklyF
ugKt3bjVw6jWzLIh3oEe0jt9Hr0NCStaP/zu7jeSXE3lUlh8ER5IYTvq592eISrx
3lGMBubY2URM2CdBhsZHHvLTG0uaXO7gvhkruMXNZaxkenXWWnXtakETOZSzwC2e
694Bo9m0+X36WJG/Pd6XqbNHIbYObOzPuVFK3Qsr84IG46ibcvvI6AVxbTIn7jUd
v8DsSv0g5Q5luwFnkw0YKbKKbSH1jka9U42zNBtAdPLeHBnj9OKk0s5CULi6RPyj
e3ksv7nS105KvbuiPsREbddpOMKTz/NBDcaJwAwXxgkfdZrJrCU7bBGkNZkhTt1a
obESspq+DLxLd5Ly1VWw9CaUyeIiuNwrSV9iAncvbc8VHf3IXvA7QAEqTSOmUhc4
uYyHVU2hU3Fs35fxwuzy4Y1xBaUmSIzlO8IYpgPZmYhl75zLwWmfP5+m497ZRBUW
JmKxVXE3ZuxHj/i7kJEweo4tUkBCcvhEWyLrPw6Pja9i7Kj2TWw=
=zDVl
-----END PGP SIGNATURE-----

--1LKvkjL3sHcu1TtY--




Information forwarded to bug-guix@HIDDEN:
bug#33832; Package guix. Full text available.

Message received at 33832 <at> debbugs.gnu.org:


Received: (at 33832) by debbugs.gnu.org; 10 Jan 2019 12:51:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 10 07:51:20 2019
Received: from localhost ([127.0.0.1]:53023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghZnq-0002Ky-3r
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 07:51:19 -0500
Received: from mail-io1-f44.google.com ([209.85.166.44]:39823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1ghZnn-0002Kk-4J
 for 33832 <at> debbugs.gnu.org; Thu, 10 Jan 2019 07:51:16 -0500
Received: by mail-io1-f44.google.com with SMTP id k7so8817165iob.6
 for <33832 <at> debbugs.gnu.org>; Thu, 10 Jan 2019 04:51:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=LhPFnkGNW5qR/6V8I3RuRO2VBfeV+DcbmyF78d3utS8=;
 b=nIeRMxxbLTNpOIgOOE+g0z13n2d1yPSu75OiIrMn2CklpvfWBXDqI//MLmy+eVUJQo
 W2VUz7hrfPBRx1zn5r7UTyh6I7RZmEcacuCnGS+7bHOhevY1Wge4u/6ecIVXEjohLbpA
 SKwJFpjIAV8hSHmBpHjCPfC4WBTqE1Xkis8wR2ax0lASNIcIz+qN5lOf9PrqF6Mjk0eg
 lO4hqtmFikC+QmcEHe47r5p64ryDzDT6CLrRoYXW0POQQaR+lYlY5BNXbD3eSWdHYFDR
 /Vwj/LalPBOQjjfrgcTqRSPrvPDu63Y7RDSuuAQJ1fL01yEFoPBGvkpEgihnWPNMKppG
 8F6A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=LhPFnkGNW5qR/6V8I3RuRO2VBfeV+DcbmyF78d3utS8=;
 b=n8vCE/xRWTWWTRSqCOMvkbl7GlbGXArKXt/ANUzbd9D15/Ceu3h56HZJAmea3rBlWG
 gHEsEbqVDeQ2IxWJvp+AcdOI2hSnxOmdw5lrpTrinTEMKPR82pCj+IX3+EfemOjz8u++
 SUcFYci761kU4UMtPsYcK2OybvFWuxLwAPWMJXa6G4sR2PDV2fPC8Xfd3O+4hy1Ea/v9
 dulFSg1dlYkgnJbPlNXh63vB7S4dQNhDj+cI6FyDWtcGNOqCvJtxCH3NmXnQHedkwsLS
 nimfuV87voZDM0tWxD/a12pTPmplHxl/jnOQwCZOjNlvDZaqCGKoxhtJESgqfwJzrTmb
 I4FQ==
X-Gm-Message-State: AJcUuke6kb0uOAiRE36cCCToghuu4I5cD712dkaPqpC7Zxyjoe4b1ypo
 mT+XfcKWHEk/df+3Uc7btkPndeFd
X-Google-Smtp-Source: ALg8bN4M73tY552wEM2EzyLumknDG5Wo+oe0avrrEEMXsQ60B+zPdF7aJqAKo4V2NeKbGb1kjzJlcw==
X-Received: by 2002:a5d:8243:: with SMTP id n3mr6125605ioo.94.1547124669091;
 Thu, 10 Jan 2019 04:51:09 -0800 (PST)
Received: from kwak ([157.52.5.144])
 by smtp.gmail.com with ESMTPSA id a12sm8752513ita.17.2019.01.10.04.51.08
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 10 Jan 2019 04:51:08 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: swedebugia@HIDDEN
Subject: Re: bug#33832: The VPN service
 'org.freedesktop.NetworkManager.openvpn' was not installed.
References: <acb0d8532c0ad030b5b57c2ff800580b@HIDDEN>
 <874lai3sak.fsf@HIDDEN>
Date: Thu, 10 Jan 2019 07:51:07 -0500
In-Reply-To: <874lai3sak.fsf@HIDDEN> (Maxim Cournoyer's message of "Wed, 09
 Jan 2019 07:54:27 -0500")
Message-ID: <87zhs8znes.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33832
Cc: 33832 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Debugging a bit further, it seems that my change to the
network-manager-service-type had the following effect:

A file populated at /etc/dbus-1/system-local.conf now has an include
directive for network-manager-openvpn:

--8<---------------cut here---------------start------------->8---
<includedir>/gnu/store/gw3ckmw2pihc44d23lc8pipfw7wr16g7-network-manager-openvpn-1.8.0/etc/dbus-1/system.d</includedir>
--8<---------------cut here---------------end--------------->8---

There is no /etc/dbus-1/system.conf file, which usually should source
the above system-local.conf, although the package holds a copy of it
such as
/gnu/store/5bda3bgy871dyb9cna4k7gnz002j88rq-dbus-1.12.6/share/dbus-1/system.conf,
and this file has:

--8<---------------cut here---------------start------------->8---
<!-- This is included last so local configuration can override what's

       in this standard file -->
  <include ignore_missing="yes">/etc/dbus-1/system-local.conf</include>
--8<---------------cut here---------------end--------------->8---

I'm not sure if it works though, because using the Emacs dbus support to
view the available definitions, I cannot see the ones from the
system-local.conf file:

--8<---------------cut here---------------start------------->8---
(require 'dbus)
(dbus-list-activatable-names ':system)

;; Results:
("org.freedesktop.DBus"		     ;
 "org.freedesktop.UPower"	     ;from /etc/dbus-1/system-services
 "org.freedesktop.GeoClue2"	     ;from /etc/dbus-1/system-services
 "org.freedesktop.login1"	     ;from /etc/dbus-1/system-services
 "org.freedesktop.UDisks2"	     ;from /etc/dbus-1/system-services
 "org.freedesktop.ColorHelper"	     ;from /etc/dbus-1/system-services
 "org.freedesktop.PolicyKit1"	     ;from /etc/dbus-1/system-services
 "org.freedesktop.Accounts"	     ;from /etc/dbus-1/system-services
 "org.freedesktop.ColorManager"	     ;from /etc/dbus-1/system-services
 "org.freedesktop.nm_dispatcher")	;from /etc/dbus-1/system-services
--8<---------------cut here---------------end--------------->8---

So it could be that the system-local.conf file is not read in.

I've tried stracing the dbus-daemon (by attaching to it) as suggested by
Ludovic on #guix, but that doesn't mention anything about reading the
files.

So, to debug this further, I've added the documentation to dbus [1] and
in `man dbus-daemon`, we can read:



--8<---------------cut here---------------start------------->8---
DEBUGGING
       If you're trying to figure out where your messages are going or why you aren't getting messages, there are
       several things you can try.

       Remember that the system bus is heavily locked down and if you haven't installed a security policy file to
       allow your message through, it won't work. For the session bus, this is not a concern.

       The simplest way to figure out what's happening on the bus is to run the dbus-monitor program, which comes
       with the D-Bus package. You can also send test messages with dbus-send. These programs have their own man
       pages.

       If you want to know what the daemon itself is doing, you might consider running a separate copy of the daemon
       to test against. This will allow you to put the daemon under a debugger, or run it with verbose output,
       without messing up your real session and system daemons.

       To run a separate test copy of the daemon, for example you might open a terminal and type:

             DBUS_VERBOSE=1 dbus-daemon --session --print-address

       The test daemon address will be printed when the daemon starts. You will need to copy-and-paste this address
       and use it as the value of the DBUS_SESSION_BUS_ADDRESS environment variable when you launch the applications
       you want to test. This will cause those applications to connect to your test bus instead of the
       DBUS_SESSION_BUS_ADDRESS of your real session bus.

       DBUS_VERBOSE=1 will have NO EFFECT unless your copy of D-Bus was compiled with verbose mode enabled. This is
       not recommended in production builds due to performance impact. You may need to rebuild D-Bus if your copy
       was not built with debugging in mind. (DBUS_VERBOSE also affects the D-Bus library and thus applications
       using D-Bus; it may be useful to see verbose output on both the client side and from the daemon.)

       If you want to get fancy, you can create a custom bus configuration for your test bus (see the session.conf
       and system.conf files that define the two default configurations for example). This would allow you to
       specify a different directory for .service files, for example.
--8<---------------cut here---------------end--------------->8---

This should help in further debbugging the issue, along with this local
definition that enables the verbose mode of dbus:

--8<---------------cut here---------------start------------->8---
gnu/packages/glib.scm | 11 +++++++++++

modified   gnu/packages/glib.scm
@@ -68,6 +68,7 @@
   ;; Export variables up-front to allow circular dependency with the 'xorg'
   ;; module.
   #:export (dbus
+            my-dbus
             glib
             gobject-introspection
             dbus-glib
@@ -156,6 +157,16 @@ or through unencrypted TCP/IP suitable for use behind a firewall with
 shared NFS home directories.")
     (license license:gpl2+)))                     ; or Academic Free License 2.1
 
+(define my-dbus
+  (package
+    (inherit dbus)
+    (name "my-dbus")
+    (arguments
+     (substitute-keyword-arguments
+         (package-arguments dbus)
+       ((#:configure-flags flags)
+        `(cons "--enable-verbose-mode" ,flags))))))
+
 (define glib
   (package
    (name "glib")
--8<---------------cut here---------------end--------------->8---

To be continued...

Maxim

[1]:  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34028




Information forwarded to bug-guix@HIDDEN:
bug#33832; Package guix. Full text available.

Message received at 33832 <at> debbugs.gnu.org:


Received: (at 33832) by debbugs.gnu.org; 9 Jan 2019 12:54:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 09 07:54:38 2019
Received: from localhost ([127.0.0.1]:50866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghDNW-0004QW-0C
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2019 07:54:38 -0500
Received: from mail-io1-f41.google.com ([209.85.166.41]:39469)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1ghDNT-0004QH-Cm
 for 33832 <at> debbugs.gnu.org; Wed, 09 Jan 2019 07:54:36 -0500
Received: by mail-io1-f41.google.com with SMTP id k7so5901946iob.6
 for <33832 <at> debbugs.gnu.org>; Wed, 09 Jan 2019 04:54:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=oIT17W4DrOSBQ2mhLhhKkLLzaiJqAe5Vplrd5xxHhno=;
 b=AuA+wvGL0AEUbQbwt2iHlJRXnsOJp+5aVp1atCxOJELWgJ80Uvf5HaHcauWRTmdawE
 Hhb4UARIiM1tbOMB3RpdLIc3xLP+GrvDh7yGFzs8D2G0OikforWMNLPC/f+DFvg2NEvV
 ZI6mh8aw2QZMu4DX7HUsygJU0XW3hPbACeoC8ZU6A8/0yBxn+C2M/8IZo58QHGj7aYoW
 2/lrTDl8yUwdg3+AhWVMpKN5Ssdk0CARGyD2xUolewtEApuM2seb8S90SU+40eBaHxsO
 g82ErKiWlniuzP0HpdYc3YzFQJgpggIW2+A4jLV4LAFHJUVCoBMqSgRI05Ik4zSgoIna
 qjgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=oIT17W4DrOSBQ2mhLhhKkLLzaiJqAe5Vplrd5xxHhno=;
 b=HmykOfwuz5uzOKLl/8BAQkArFJsnwR29fuvQr+k/J+EZMkZkNAjahEiec+h0RCQpuW
 Gp3arZddkOuDGnZURxOhcDOaX9/ynAz2LeUoUUmNXdnsVIajx6qrkuEOZEtCHNvkn4LB
 4uVGl9cPPewpTR7rkkbdMy4iN56GBW7xNr6ibq4EFTeEmFxtBGY7F5k9gxdGHzJm5CTN
 onoGxH5XZChTOOUF3TATI+Eo82yqKs6sUF7DYPjjkEdVsyXDN7PgcNxwuNb/lGixsVnj
 jhi8W+dpfa3cfaopOgoyX1R016sjHAV8Ep0rpvH1O8CJw3t70ktqGPX2CCX2qdsjoZMB
 hAxg==
X-Gm-Message-State: AJcUukdpmISsbSikRAnhs1fTALX7Rd+AZMnndjNbrL817S9QnswC1Trp
 unXHqDedpuFVN9IRfTHlYA4sArTzj04=
X-Google-Smtp-Source: ALg8bN5B19rRbEwQ2W4316hxyOviqiWGkpLiPOET6Gu1DChgSJtcwBjKW9RRwx6vWX7GgL8wjqO5hA==
X-Received: by 2002:a6b:ec08:: with SMTP id c8mr3748814ioh.37.1547038469283;
 Wed, 09 Jan 2019 04:54:29 -0800 (PST)
Received: from kwak ([157.52.5.144])
 by smtp.gmail.com with ESMTPSA id m186sm6627755ita.2.2019.01.09.04.54.27
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 09 Jan 2019 04:54:28 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: swedebugia@HIDDEN
Subject: Re: bug#33832: The VPN service
 'org.freedesktop.NetworkManager.openvpn' was not installed.
References: <acb0d8532c0ad030b5b57c2ff800580b@HIDDEN>
Date: Wed, 09 Jan 2019 07:54:27 -0500
In-Reply-To: <acb0d8532c0ad030b5b57c2ff800580b@HIDDEN> (swedebugia's
 message of "Fri, 21 Dec 2018 19:28:50 -0800")
Message-ID: <874lai3sak.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33832
Cc: 33832 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

swedebugia@HIDDEN writes:

> Dec 22 04:21:24 localhost NetworkManager[289]: <info>  [1545448884.2537]
> audit: op="connection-activate"
> uuid="c3d6b24a-d67c-48a9-8695-2e9dd83c1b07" name="Riseup VPN" pid=414
> uid=1000 result="fail" reason="The VPN service
> 'org.freedesktop.NetworkManager.openvpn' was not installed."
> Dec 22 04:22:19 localhost NetworkManager[289]: <info>  [1545448939.2045]
> device (wlp3s0): set-hw-addr: set MAC address to AE:C7:48:B4:FE:7E
> (scanning)
> Dec 22 04:22:19 localhost vmunix: [ 3281.066433] IPv6:
> ADDRCONF(NETDEV_UP): wlp3s0: link is not ready
> Dec 22 04:22:19 localhost NetworkManager[289]: <info>  [1545448939.2203]
> device (wlp3s0): supplicant interface state: inactive -> disabled
> Dec 22 04:22:19 localhost NetworkManager[289]: <info>  [1545448939.2557]
> device (wlp3s0): supplicant interface state: disabled -> inactive
>
> config attached were it is installed systemwide.
>
> my user manifest is also attached were it is also installed.
>
> sdb@antelope ~/src/guix$ guix --version
> guix (GNU Guix) 0.16.0-3.6ddc63e
>
> running from git.

I can confirm the bug; it makes the network-manager-openvpn useless at
what it's supposed to be helpful with ;-).

Given that it seems to be a DBus error, I tried to modify our
network-manager-service-type so that it would consider the VPN plugins
as well when extending the dbus-system-service:

1 file changed, 10 insertions(+), 7 deletions(-)
gnu/services/networking.scm | 17 ++++++++++-------

modified   gnu/services/networking.scm
@@ -919,25 +919,28 @@ and @command{wicd-curses} user interfaces."
               (stop #~(make-kill-destructor))))))))
 
 (define network-manager-service-type
-  (let
-      ((config->package
+  (let*
+      ((config->packages
         (match-lambda
-         (($ <network-manager-configuration> network-manager)
-          (list network-manager)))))
+         (($ <network-manager-configuration> network-manager _ vpn-plugins)
+          `(,network-manager ,@vpn-plugins)))))
 
     (service-type
      (name 'network-manager)
      (extensions
       (list (service-extension shepherd-root-service-type
                                network-manager-shepherd-service)
-            (service-extension dbus-root-service-type config->package)
-            (service-extension polkit-service-type config->package)
+            (service-extension dbus-root-service-type config->packages)
+            (service-extension polkit-service-type
+                               (compose
+                                list
+                                network-manager-configuration-network-manager))
             (service-extension activation-service-type
                                (const %network-manager-activation))
             (service-extension session-environment-service-type
                                network-manager-environment)
             ;; Add network-manager to the system profile.
-            (service-extension profile-service-type config->package)))
+            (service-extension profile-service-type config->packages)))
      (default-value (network-manager-configuration))
      (description
       "Run @uref{https://wiki.gnome.org/Projects/NetworkManager,

Unfortunately that didn't work... I'll have to read on DBus to debug
this further.  Any help would be appreciated :-)

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#33832; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Dec 2018 03:29:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 21 22:29:04 2018
Received: from localhost ([127.0.0.1]:59033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gaXyK-0003Ie-7u
	for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 22:29:04 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gaXyI-0003I8-7p
 for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 22:29:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gaXyC-0007dw-8z
 for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 22:28:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42216)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gaXyC-0007ds-5h
 for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 22:28:56 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41773)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gaXyB-0004tH-8A
 for bug-guix@HIDDEN; Fri, 21 Dec 2018 22:28:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gaXy8-0007ci-0i
 for bug-guix@HIDDEN; Fri, 21 Dec 2018 22:28:55 -0500
Received: from mx1.riseup.net ([198.252.153.129]:51258)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gaXy7-0007cF-K7
 for bug-guix@HIDDEN; Fri, 21 Dec 2018 22:28:51 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 632BE1A01D5
 for <bug-guix@HIDDEN>; Fri, 21 Dec 2018 19:28:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1545449330; bh=QuqwJyptwkerQObc5IFIB/tDvTG/Yay5pWyFLyBPxIQ=;
 h=Date:From:To:Subject:From;
 b=BnZ5koAwGjNQR0gHF/hT/s4jxZKxqiSHkkaOXdFtSNDAS/mcYP2nUwwVhs1XIwaBB
 8GWrkr17wzRRfpldA9C+eE9VLejoU4FLj280wxraXvqCRIIFfK3MqWcdPbgZWVT7nF
 VnvrEP2Fvm/XN0wPK8M21qbRK6Zy8TjYzA9LvJv0=
X-Riseup-User-ID: 237C818806C2422E0E05000BE138B04F6ECAD1B4CB2E6C62F1B5D4EF7A656DC1
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id 2457E1054BF
 for <bug-guix@HIDDEN>; Fri, 21 Dec 2018 19:28:50 -0800 (PST)
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="=_486b0d668d2314b8416e7bf5643b45d5"
Date: Fri, 21 Dec 2018 19:28:50 -0800
From: swedebugia@HIDDEN
To: bug-guix@HIDDEN
Subject: The VPN service 'org.freedesktop.NetworkManager.openvpn' was not
 installed.
Message-ID: <acb0d8532c0ad030b5b57c2ff800580b@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

--=_486b0d668d2314b8416e7bf5643b45d5
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset=US-ASCII


Dec 22 04:21:24 localhost NetworkManager[289]: <info>  [1545448884.2537]
audit: op="connection-activate"
uuid="c3d6b24a-d67c-48a9-8695-2e9dd83c1b07" name="Riseup VPN" pid=414
uid=1000 result="fail" reason="The VPN service
'org.freedesktop.NetworkManager.openvpn' was not installed."
Dec 22 04:22:19 localhost NetworkManager[289]: <info>  [1545448939.2045]
device (wlp3s0): set-hw-addr: set MAC address to AE:C7:48:B4:FE:7E
(scanning)
Dec 22 04:22:19 localhost vmunix: [ 3281.066433] IPv6:
ADDRCONF(NETDEV_UP): wlp3s0: link is not ready
Dec 22 04:22:19 localhost NetworkManager[289]: <info>  [1545448939.2203]
device (wlp3s0): supplicant interface state: inactive -> disabled
Dec 22 04:22:19 localhost NetworkManager[289]: <info>  [1545448939.2557]
device (wlp3s0): supplicant interface state: disabled -> inactive

config attached were it is installed systemwide.

my user manifest is also attached were it is also installed.

sdb@antelope ~/src/guix$ guix --version
guix (GNU Guix) 0.16.0-3.6ddc63e

running from git.
-- 
Cheers 
Swedebugia
--=_486b0d668d2314b8416e7bf5643b45d5
Content-Transfer-Encoding: base64
Content-Type: text/plain;
 name=config.scm
Content-Disposition: attachment;
 filename=config.scm;
 size=4407
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--=_486b0d668d2314b8416e7bf5643b45d5
Content-Transfer-Encoding: base64
Content-Type: text/plain;
 name=sdb.scm
Content-Disposition: attachment;
 filename=sdb.scm;
 size=1606
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--=_486b0d668d2314b8416e7bf5643b45d5--




Acknowledgement sent to swedebugia@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33832; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 2 Jul 2019 19:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.